> For the complete documentation index, see [llms.txt](https://docs.webscrapingapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.webscrapingapi.com/amazon-search-api/getting-started/api-parameters.md).

# API Parameters

{% hint style="warning" %}
**IMPORTANT!** The `engine` parameter should **always be set to `amazon`**!
{% endhint %}

The Amazon API is a powerful Amazon scraping tool, made easy to use. Basically, in order to scrape Amazon, all you have to do is send a GET request to our [official endpoint,](/amazon-search-api/getting-started/access-the-api.md) followed by the parameters you chose to customise your request.&#x20;

The Amazon API uses general parameters (applicable to any search type) and search type specific parameters (applicable to specific search types only). **We will cover the search type specific parameters in each search category**.

Here is the full list of **the general parameters**:

<table><thead><tr><th width="259">Parameter</th><th width="109" align="center">Type</th><th width="374">Description</th></tr></thead><tbody><tr><td><code>api_key</code> <br> <mark style="color:red;background-color:red;">Required</mark> </td><td align="center"><code>string</code></td><td>Specify your unique API access key to authenticate with the API. Your <a href="/pages/2wQlb7wrI0bwxlBPNQgq#the-api-key">API access key</a> can be found in your account dashboard.</td></tr><tr><td><code>engine</code><br> <mark style="color:red;background-color:red;">Required</mark> </td><td align="center"><code>string</code></td><td>The engine of the API. Needs to be set to <mark style="color:green;"><strong><code>amazon</code></strong></mark> for all Amazon API requests.</td></tr><tr><td><code>type</code><br> <mark style="color:red;background-color:red;">Required</mark> </td><td align="center"><code>string</code></td><td>The Amazon API uses <a href="/pages/HcqB8CCHoQChHBLjp32N">search types</a> in order to return categorised results.</td></tr><tr><td><code>amazon_domain</code></td><td align="center"><code>string</code></td><td>Represents the domain from amazon that you want to use for your search. (<a href="/pages/S86cvlwAxlWWRCU0h3Vg">Supported domains</a>)</td></tr><tr><td><code>zip_code</code></td><td align="center"><code>string</code></td><td>The zipcode you want to use for your amazon search.</td></tr><tr><td><code>hl</code></td><td align="center"><code>string</code></td><td>The language you want to use for your amazon search.</td></tr><tr><td><code>gl</code></td><td align="center"><code>string</code></td><td>The country you want to use for your amazon search.</td></tr><tr><td><code>scroll_to_bottom</code></td><td align="center"><code>bool</code></td><td>Have the scraper perform a full scroll of the page. <strong>Set to <code>false</code> for faster response time.</strong></td></tr><tr><td><code>wait_bottom_carousel</code></td><td align="center"><code>bool</code></td><td>Wait until the bottom carousel is available in DOM, before returning the result. <strong>Set to <code>false</code> for faster response time.</strong></td></tr><tr><td><code>lazy_loading</code></td><td align="center"><code>int</code></td><td>Waiting time after the page was loaded before scraping. Measured in <code>ms</code>.</td></tr><tr><td><code>delivery_location</code></td><td align="center"><code>string</code></td><td>Simulate default delivery location based on proxy location. Supported options: <code>us</code>, <code>de</code>, <code>gb</code>, <code>ca</code>, <code>fr</code>, <code>jp</code>, <code>cn</code>, <code>au</code>, <code>es</code>, <code>br</code>, <code>in</code>, <code>mx</code>.</td></tr><tr><td><code>page</code></td><td align="center"><code>int</code></td><td>Specify which page Amazon should return </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.webscrapingapi.com/amazon-search-api/getting-started/api-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
